module Core.Handlers where

import qualified Templates.Base as T
import           Core.Rendering as R

import Web.Twain

index :: ResponderM a
index = send $ html $ R.twain T.baseNav

testRoute :: ResponderM a
testRoute = do
  testParam <- param "testParam"
  send $ status status202 $ html $ "Testing echo parameter: " <> testParam

missing :: ResponderM a
missing = send $ html "404 NOT FOUND"
